<?php
  include_once ("meta.php");  
  include_once ("search.php");
  include_once ("htmlfuncs.php");
  include_once ("gxml.php");
  include_once ("background.php");
  include_once ("logger.php");
  include_once ("thirdparty.php");
  
  function get_contents($f)
  {    
    ob_start();
    $retval = @readfile($f);
    if (false !== $retval)
    { // no readfile error
        $retval = ob_get_contents();
    }
    ob_end_clean();
    return $retval;
  }
  
  function GetDescLink($ASIN, $Associate)
  {
    return PopUp("desc.php?Asin=".$ASIN."&Associate=".$Associate,
                 "Description",
                 400,
                 400,
                 "<img src=\"/tbimages/desc.jpg\" border=0>");        
  }
  
  function GetReviewLink($ASIN, $Associate, $Obj)
  {
    $Result = "";
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->REVIEWS[0]->CUSTOMERREVIEW[0]->COMMENT[0]->Data))
    {
      $Result = PopUp("review.php?Asin=".$ASIN."&Associate=".$Associate,
                      "Review",
                      650,
                      400,
                      "<img src=\"/tbimages/reviews.jpg\" border=0>");
    }
    return $Result;
  }
  
  function GetAddLink($ASIN, $Associate, $Obj)
  {    
    $Result = "";
    //If the item is not available.
    $Availability = strtoupper($Obj->PRODUCTINFO[0]->DETAILS[0]->AVAILABILITY[0]->Data);
    if (substr_count($Availability, "NOT AVAILABLE") ||
        substr_count($Availability, "NOT STOCK")     ||
        substr_count($Availability, "DISCONTINUE"))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->AVAILABILITY[0]->Data;
    }
    else
    {
      if ($Obj->PRODUCTINFO[0]->DETAILS[0]->OURPRICE[0]->Data != "")
      {
        $Result = href(IMG("/tbimages/add.jpg"), "cart.php?Associate=$Associate&ASIN=$ASIN");
      }
    }
    return $Result;
  }
  
  function GetRelistLink($Page, $Keywords, $Associate, $Category)
  {
    if (StaticLinks())
    {
      return href(IMG("/tbimages/more.jpg"), "list_Page_".$Page."_Keywords_".$Keywords."_Associate_".$Associate."_Category_".$Category.".htm");
    }
    else
    {
      return href(IMG("/tbimages/more.jpg"), "list.php?Page=$Page&Keywords=$Keywords&Associate=$Associate&Category=$Category");
    }
  }
 
  function GetBuyNowLink($ASIN, $Associate, $Obj)
  {
   $Result = "";
    //If the item is not available.
    $Availability = strtoupper($Obj->PRODUCTINFO[0]->DETAILS[0]->AVAILABILITY[0]->Data);
    if (substr_count($Availability, "NOT AVAILABLE") ||
        substr_count($Availability, "NOT STOCK")     ||
        substr_count($Availability, "DISCONTINUE"))
    {
      $Result = "";//Not available
    }
    else
    {      
      $Result  = "<form method=\"POST\" action=\"http://buybox.amazon.com/o/dt/assoc/handle-buy-box=$ASIN\">";
      $Result .= "<input type=\"hidden\" name=\"asin.$ASIN\" value=\"1\">";
      $Result .= "<input type=\"hidden\" name=\"tag-value\" value=\"$Associate\">";
      $Result .= "<input type=\"hidden\" name=\"tag_value\" value=\"$Associate\">";
      $Result .= "<input type=\"image\" name=\"submit.add-to-cart\" value=\"Buy from Amazon.com\" border=\"0\" alt=\"Buy from Amazon.com\" src=\"/tbimages/buynow.jpg\">";
      $Result .= "</form>";
    }
    return $Result;
  }

  
  function GetListPriceText($Obj)
  {
    $Result = "";
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->LISTPRICE[0]->Data))
    {
      $Result = "<B>List Price:</B> ".Line($Obj->PRODUCTINFO[0]->DETAILS[0]->LISTPRICE[0]->Data);
    }
    return $Result;
  }
  
  function GetPriceText($Obj)
  {
    $Result = "";
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->OURPRICE[0]->Data))
    {
      $Result = "<B>Our Price: ".Font("Arial", 3, $Obj->PRODUCTINFO[0]->DETAILS[0]->OURPRICE[0]->Data, "#008000")."</B>";
    }
    return $Result;
  }

  function GetSavingsText($Obj)
  {
    $Result = "";
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->LISTPRICE[0]->Data) &&
        isset($Obj->PRODUCTINFO[0]->DETAILS[0]->OURPRICE[0]->Data))
    {
      $List   = substr_replace($Obj->PRODUCTINFO[0]->DETAILS[0]->LISTPRICE[0]->Data, "", 0, 1);
      $Our    = substr_replace($Obj->PRODUCTINFO[0]->DETAILS[0]->OURPRICE[0]->Data, "", 0, 1);
      $SaveD  = $List - $Our;
      $SaveP  = round($SaveD / $List * 100);      
      $Result = "<b>You Save: \$".number_format($SaveD, 2)." (".$SaveP."%)</b>";
    }
    return $Result;
  }  
  
  function GetDesc($Obj)
  {
    $Desc = urldecode($Obj->PRODUCTINFO[0]->DETAILS[0]->PRODUCTDESCRIPTION[0]->Data);
    if (strlen($Desc) > 0)
    {
      $Result = $Desc;//substr($Desc, 0, 250)."...";
    }
    else
    {
      $Result = "No description could be found.";
    }

    return $Result;
  }
  
  function InfoAndLinks($Obj, $Associate, $Keywords, $ASIN, $Category, $Page)
  {   
    $Menu  = TRTDC(GetBuyNowLink($ASIN, $Associate, $Obj));
    //$Menu .= TRTDC(GetDescLink($ASIN, $Associate));
    $Menu .= TRTDC(GetReviewLink($ASIN, $Associate, $Obj));
    $Menu .= TRTDC(GetAddLink($ASIN, $Associate, $Obj));
    $Menu .= TRTDC(GetRelistLink($Page, $Keywords, $Associate, $Category));

    
    $Result = Table((TR(TD(Table(GetDesc($Obj))).(TD(TableW($Menu, 200))))));
    
    return $Result;
  }
  
  function GetUsedPriceLink($UsedPrice, $Associate, $ASIN)
  {
    $Result = "";
    if ($UsedPrice != "0")
    {
      if (StaticLinks())
      {
      
      }
      else
      {
        $Result .= TRTDC("<a href=\"detail.php?ASIN=$ASIN&ThirdParty=Used\">Used Price: $UsedPrice</a>&nbsp;");
      }
    }
    return $Result;
  }
  
  function GetNewPriceLink($NewPrice, $Associate, $ASIN)
  {
    $Result = "";
    if ($NewPrice != "0")
    {
      if (StaticLinks())
      {
      
      }
      else
      {
        $Result .= TRTDC("<a href=\"detail.php?ASIN=$ASIN&ThirdParty=ThirdPartyNew\">ThirdParty Price: $NewPrice</a>");
      }
    }
    return $Result;
  }

  function ImgPrice($Obj, $Associate, $ASIN)
  {
    //Get the Used and ThirdParty Prices.
    $UsedPrice = UsedPrice($Associate, $ASIN);
    $NewPrice  = NewPrice($Associate, $ASIN);

    $img     = $Obj->PRODUCTINFO[0]->DETAILS[0]->IMAGEURLMEDIUM[0]->Data;
    $Result  = TRTDC(hreft(Img($img),
                           $Obj->PRODUCTINFO[0]->DETAILS[0]->IMAGEURLLARGE[0]->Data,
                           "NewWindow"));
    $Result .= TRTDC(Font("Arial", "1", "Click on Image for larger view", 0));
    $Result .= TRTDC(GetListPriceText($Obj));
    $Result .= TRTDC(GetPriceText($Obj));
    $Result .= TRTDC(GetSavingsText($Obj));
    $Result .= GetUsedPriceLink($UsedPrice, $Associate, $ASIN);
    $Result .= GetNewPriceLink($NewPrice, $Associate, $ASIN);
    
    return $Result;
  }


  //Get the paramenters
  $Associate  = Associate();
  $Category   = GetParam("Category", "books");
  $Keywords   = GetParam("Keywords", "harry%20potter");
  $Page       = GetParam("Page", "1");
  $ASIN       = GetParam("ASIN", "B00000JH6U");
  $CartID     = GetParam("CartID", "");//CARTID and HMAC are only passed as cookies
  $HMAC       = GetParam("HMAC", "");//CARTID and HMAC are only passed as cookies
  $Sort       = GetParam("Sort", "+salesrank");
  $ThirdParty = GetParam("ThirdParty", "");
  
  //Log the ASIN that is being looked at.
  LogT("I", $ASIN);
  
  $Filename  = "http://xml.amazon.com/onca/xml3?t=$Associate&dev-t=D11PEK22YBCZS3&AsinSearch=$ASIN&type=heavy&f=xml";
  $Obj       = GXMLTree($Filename);
  
  $ProductName = $Obj->PRODUCTINFO[0]->DETAILS[0]->PRODUCTNAME[0]->Data;

  $Result  = "<HTML>";
  $Result .= Meta("ThinkBling Search for $ProductName", "A custom ThinkBling search for items pertaining to ".rawurldecode($Keywords));
  
  $Result .= "<script language=\"javascript\">";
  $Result .= "function popupWindow(url)\n{\n";
  $Result .= "window.open(url,'popupWindow','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,copyhistory=no,width=100,height=100,screenX=150,screenY=150,top=150,left=150');}\n";
    $Result .= "</script>\n";
  
  $Result .= "<BODY>";
  $Result .= "<CENTER>";
  $Result .= search($Associate,
                    $Category,
                    $Keywords,
                    $Sort);
                        
  $Result .= "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" width=\"700\" id=\"AutoNumber1\">"; 
  $Result .= TRTDC("<b><u>".$ProductName."</u></b>\n");
  $Result .= Table(TR(TDW(Table(ImgPrice($Obj, $Associate, $ASIN)), "20%").
                      TDW(InfoAndLinks($Obj, $Associate, $Keywords, $ASIN, $Category, $Page), "80%")));
  $Result .= "</table>";
  $Result .= "</CENTER>";

  //Include addtional information if a file of form $ASIN."d.htm" exists.
  if (file_exists("./additional/".$ASIN."d.htm"))
  {
    $Result .= get_file_contents("./additional/".$ASIN."d.htm");
  }
  
  //Include 3rd party information if it has been selected.
  if ($ThirdParty != "")
  {
    $Result .= ThirdPartyItems($ThirdParty);
  }
  ThirdPartyItems($ThirdParty);

  $Result .= "</BODY>";
  $Result .= "</HTML>";  
  echo($Result);
  ?>


