<?php
  include_once("meta.php");
  include_once("search.php");
  include_once("body.php");
  include_once("htmlfuncs.php");
  include_once("background.php");
  include_once(SmartyClass());  
  
  function GetNumberItems($Obj)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->NUMBEROFOFFERINGS[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->NUMBEROFOFFERINGS[0]->Data;
    }
    return $Result;
  }
  
  function GetSellerID($Obj, $i)
  {
    $Result = "";
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERID[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERID[0]->Data;
    }
    return $Result;
  }

  function GetExchangeID($Obj, $i)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->EXCHANGEID[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->EXCHANGEID[0]->Data;
    }
    return $Result;
  }
  
  function GetSellerRating($Obj, $i)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERRATING[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERRATING[0]->Data;
    }
    return $Result;
  }
  
  function GetCondition($Obj, $i)
  {
    $Result = "";
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->CONDITION[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->CONDITION[0]->Data;
    }
    return $Result;
  }

  function GetAvailability($Obj, $i)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->EXCHANGEAVAILABILITY[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->EXCHANGEAVAILABILITY[0]->Data;
    }
    return $Result;
  }

  function GetSeller($Obj, $i)
  {
    $Result = "";
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERNICKNAME[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERNICKNAME[0]->Data;
    }
    return $Result;
  }

  function GetLocation($Obj, $i)
  {
    $Result = "";
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERSTATE[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERSTATE[0]->Data;
    }
    return $Result;
  }
   
  function GetPrice($Obj, $i)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->OFFERINGPRICE[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->OFFERINGPRICE[0]->Data;
    }
    return $Result;
  }
 
  function UsedPrice($Associate, $ASIN)
  {
    $Result = "0";
    
    //Retrieve the data from Amazon and parse it into a structure called $Obj.
    $Filename    = "http://xml.amazon.com/onca/xml3?t=$Associate&dev-t=".DevKey()."&AsinSearch=$ASIN&type=lite&offer=Used&offerpage=1&f=xml";
    $TempObj = GXMLTree($Filename);
  
    //Get the number of  items.
    if (isset($TempObj->PRODUCTINFO[0]->DETAILS[0]->USEDPRICE[0]->Data))
    {
      $Result = $TempObj->PRODUCTINFO[0]->DETAILS[0]->USEDPRICE[0]->Data; 
    }
    
    return $Result;    
  }
  
  function NewPrice($Associate, $ASIN)
  {
    $Result = "0";
    
    //Retrieve the data from Amazon and parse it into a structure called $Obj.
    $Filename    = "http://xml.amazon.com/onca/xml3?t=$Associate&dev-t=".DevKey()."&AsinSearch=$ASIN&type=heavy&offer=ThirdPartyNew&offerpage=1&f=xml";
    $TempObj = GXMLTree($Filename);
  
    //Get the number of  items.
    if (isset($TempObj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYNEWPRICE[0]->Data))
    {
      $Result = $TempObj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYNEWPRICE[0]->Data; 
    }
    
    return $Result;       
  }
 
  function ThirdPartyCount($ItemType, $Associate, $ASIN)
  {
    //Retrieve the data from Amazon and parse it into a structure called $Obj.
    $Filename    = "http://xml.amazon.com/onca/xml3?t=$Associate&dev-t=".DevKey()."&AsinSearch=$ASIN&type=heavy&offer=$ItemType&offerpage=1&f=xml";
    $TempObj = GXMLTree($Filename);
  
    //Get the number of  items.
    $Number = GetNumberItems($TempObj);
    
    return $Number;
  }
 
  function ThirdPartyItems($ItemType)
  {
    $Associate  = Associate();
    $Page       = GetParam("Page", "1");
    $ASIN       = GetParam("ASIN", "B0001B15RA");
  
    //Retrieve the data from Amazon and parse it into a structure called $Obj.
    $Filename    = "http://xml.amazon.com/onca/xml3?t=$Associate&dev-t=".DevKey()."&AsinSearch=$ASIN&type=heavy&offer=$ItemType&offerpage=$Page&f=xml";
    $Obj = GXMLTree($Filename);
  
    //Get the number of  items.
    $Number = GetNumberItems($Obj);
  
    //Put the SellerIDs and ExchangeIDs into arrays.
    for ($i = 0; $i < $Number; $i++)
    {
      if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERID[0]->Data))
      {
        $SellerID[$i]     = GetSellerID($Obj, $i);
        $ExchangeID[$i]   = GetExchangeID($Obj, $i);
        $SellerRating[$i] = GetSellerRating($Obj, $i);
        $Condition[$i]    = GetCondition($Obj, $i);
        $Availability[$i] = GetAvailability($Obj, $i);
        $Seller[$i]       = GetSeller($Obj, $i);
        $Location[$i]     = GetLocation($Obj, $i);
        $Price[$i]        = GetPrice($Obj, $i);
      }
    }
  
    //Create template object.
    $ResultsTemplate = new Smarty;
    $ResultsTemplate->compile_dir = FullSmartyCompileDir();
  
    $ResultsTemplate->Assign('SellerID',       $SellerID);
    $ResultsTemplate->Assign('ExchangeID',     $ExchangeID);
    $ResultsTemplate->Assign('SellerRating',   $SellerRating);
    $ResultsTemplate->Assign('Condition',      $Condition);
    $ResultsTemplate->Assign('Availability',   $Availability);
    $ResultsTemplate->Assign('Seller',         $Seller);
    $ResultsTemplate->Assign('Location',       $Location);
    $ResultsTemplate->Assign('Price',          $Price);
    $ResultsTemplate->Assign('AssociateID',    $Associate);
    $ResultsTemplate->Assign('DeveloperToken', DevKey());
    $ResultsTemplate->Assign('ASIN',           $ASIN);  
   
    return $ResultsTemplate->fetch('results.tpl.htm');
  }
?>