<?php
  include_once("meta.php");
  include_once("search.php");
  include_once("directory.php");
  include_once("htmlfuncs.php");
  include_once("background.php");
  include_once("gxml.php");
  
  $Associate  = Associate();
  
  //Try to get the parameters passed into it from GET or POST.  If they are
  // empty then get them from preset cookies.
  
  $Category   = GetParam("Category", "");
  if ($Category == "")
  {
    $Category   = GetParam("Product", "books");    
  }    
  $Keywords   = GetParam("Keywords", "harry%20potter");
  //$Page       = GetParam("Page", "1");
  $Page       = 1;//Set the page to 1 so that when a different category is selected, the browser is taken to correct page. 
  $Sort       = GetParam("Sort", "+salesrank");
  $CartID     = GetParam("CartID", "");//CARTID and HMAC are only passed as cookies
  $HMAC       = GetParam("HMAC", "");//CARTID and HMAC are only passed as cookies

  //Save the properties to cookies in case they are not passed in later.
  setcookie("CATEGORY",  rawurlencode($Category),  time()+3600);
  setcookie("KEYWORDS",  rawurlencode($Keywords),  time()+3600);
  setcookie("PAGE",      rawurlencode($Page),      time()+3600);
  setcookie("SORT",      rawurlencode($Sort),      time()+3600);      
  
  echo(DocType());
  echo("<HTML>\n");
  echo(MetaSimple());
  echo("<BODY>\n");
  echo("<CENTER>\n");
  echo(search($Associate, $Category, $Keywords, $Sort));


  //Get the categories from the database if it is accessible.
  if (DBEnabled())
  {
    echo(Directory(DefaultDir()));
  }
  else
  {
    include_once("nodb.php");
  }

  echo(get_file_contents("index_footer.htm"));

  echo("</CENTER>");
  echo("</BODY></HTML>"); 
?>
